Update exit ladder intent quote
curl --request GET \
--url https://api-421614.alphagrid.capital/agents/{agentId}/exit-ladder-intents/quoteimport requests
url = "https://api-421614.alphagrid.capital/agents/{agentId}/exit-ladder-intents/quote"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-421614.alphagrid.capital/agents/{agentId}/exit-ladder-intents/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "<string>",
"positionId": "<string>",
"signer": "<string>",
"nonce": "<string>",
"eip712": {
"domainName": "<string>",
"domainVersion": "<string>",
"chainId": 123,
"verifyingContract": "<string>",
"primaryType": "UpdateExitLadder"
},
"tradeRouter": "<string>",
"exitBounds": {
"maxStopLossBps": 123,
"minTakeProfitBps": 123,
"maxTakeProfitBps": 123,
"requireStopLoss": true,
"requireTakeProfit": true
},
"currentRules": [
{
"triggerBps": 123,
"exitBps": 5000
}
],
"pendingRules": [
{
"triggerBps": 123,
"exitBps": 5000
}
],
"nextRuleIndex": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Trading
Update exit ladder intent quote
GET
/
agents
/
{agentId}
/
exit-ladder-intents
/
quote
Update exit ladder intent quote
Path Parameters
Pattern:
^[1-9]\d*$Example:
"1"
Query Parameters
Pattern:
^\d+$Example:
"1"
Response
Exit ladder intent quote
Pattern:
^[1-9]\d*$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I